TagLib::Shorten::File Class Reference

An implementation of `TagLib::File` with Shorten specific methods. More...

`#include <shortenfile.h>`

Inheritance diagram for TagLib::Shorten::File:
[legend]
Collaboration diagram for TagLib::Shorten::File:
[legend]

## Public Member Functions

| File (FileName file, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average)
| File (IOStream *stream, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average)
| ~File () override
| File (const File &)=delete
File & | operator= (const File &)=delete
Tag * | tag () const override
PropertyMap | properties () const override
PropertyMap | setProperties (const PropertyMap &) override
Properties * | audioProperties () const override
bool | save () override
Public Member Functions inherited from TagLib::File
| File (const File &)=delete
File & | operator= (const File &)=delete
FileName | name () const
virtual void | removeUnsupportedProperties (const StringList &properties)
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
ByteVector | readBlock (size_t length)
void | writeBlock (const ByteVector &data)
offset_t | find (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
offset_t | rfind (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, offset_t start=0, size_t replace=0)
void | removeBlock (offset_t start=0, size_t length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (offset_t offset, Position p=Beginning)
void | clear ()
offset_t | tell () const
offset_t | length ()

## Static Public Member Functions

static bool | isSupported (IOStream *stream)

## Additional Inherited Members

Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Member Functions inherited from TagLib::File
| File (FileName fileName)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (offset_t length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of `TagLib::File` with Shorten specific methods.

This implements and provides an interface for Shorten files to the `TagLib::Tag` and `TagLib::AudioProperties` interfaces by way of implementing the abstract `TagLib::File` API as well as providing some additional information specific to Shorten files.

## Constructor & Destructor Documentation

## File() [1/3]

TagLib::Shorten::File::File | ( | FileName | file,
|  | bool | readProperties = true,
|  | AudioProperties::ReadStyle | propertiesStyle = AudioProperties::Average )

Constructs a Shorten file from file.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.

References TagLib::AudioProperties::Average.

Referenced by File(), and operator=().

## File() [2/3]

TagLib::Shorten::File::File | ( | IOStream * | stream,
|  | bool | readProperties = true,
|  | AudioProperties::ReadStyle | propertiesStyle = AudioProperties::Average )

Constructs a Shorten file from stream.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.

References TagLib::AudioProperties::Average.

## ~File()

TagLib::Shorten::File::~File | ( |  | ) |

override virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## File() [3/3]

TagLib::Shorten::File::File | ( | const File & |  | ) |

delete

References File().

## Member Function Documentation

## audioProperties()

Properties * TagLib::Shorten::File::audioProperties | ( |  | ) | const

override virtual

Returns the `Shorten::Properties` for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## isSupported()

bool TagLib::Shorten::File::isSupported | ( | IOStream * | stream | ) |

static

Returns whether or not the given stream can be opened as a Shorten file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## operator=()

File & TagLib::Shorten::File::operator= | ( | const File & |  | ) |

delete

References File().

## properties()

PropertyMap TagLib::Shorten::File::properties | ( |  | ) | const

override virtual

Implements the unified property interface – export function.

Reimplemented from TagLib::File.

## save()

bool TagLib::Shorten::File::save | ( |  | ) |

override virtual

Save the file.

Note
  Saving Shorten tags is not supported.

Implements TagLib::File.

## setProperties()

PropertyMap TagLib::Shorten::File::setProperties | ( | const PropertyMap & |  | ) |

override virtual

Implements the unified property interface – import function.

Reimplemented from TagLib::File.

## tag()

Tag * TagLib::Shorten::File::tag | ( |  | ) | const

override virtual

Returns the `Shorten::Tag` for this file.

Note
  While the returned `Tag` instance is non-null Shorten tags are not supported.

Implements TagLib::File.

The documentation for this class was generated from the following file:

- shortenfile.h